Upgrade a cloud instance
POST
/v1/cloud_computing/instances/{instance_id}/upgradeIf you lack resources of the current cloud instance, upgrade it to a higher configuration with the help of a POST request sent to /v1/cloud_computing/instances/{instance_id}/upgrade. The path parameter defines an instance to be upgraded. The server will be shut down and unavailable for some time (up to 10 minutes). You are able to revert upgrade to the previous configuration or confirm the changes within 72 hours. The server will have the AWAITING_UPGRADE_CONFIRM status during this period; when it expires, the request will be automatically confirmed.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
instance_id*string
A unique identifier of a cloud instance.
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_computing/instances/oQeZJepZ/upgrade" \ -H "Content-Type: application/json" \ -d '{ "flavor_id": "103" }'{ "id": "oQeZJepZ", "openstack_uuid": "1ebf3e3f-a5a8-47d5-87f6-313811fcc7fe", "status": "UPGRADING", "name": "name1150", "region_id": 1, "region_code": "US99", "flavor_id": "101", "flavor_name": "SSD.1", "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21", "image_name": null, "public_ipv4_address": "146.233.112.154", "private_ipv4_address": null, "local_ipv4_address": "111.180.156.63", "public_ipv6_address": null, "ipv6_enabled": false, "gpn_enabled": false, "created_at": "2026-05-28T07:03:25Z", "updated_at": "2026-05-28T07:03:25Z", "backup_copies": 0, "public_port_blocked": false, "labels": {}}{ "message": "Instance locked", "code": "CONFLICT"}{ "message": "Region in maintenance mode", "code": "CLOUD_REGION_MAINTENANCE"}